Subject: Re: [PATCH (REVISED)] Add core.editor configuration variable

From: Andy Parkins <[email-masked]>
Date: Thu, 19 Jul 2007 15:23:40 +0100

On Thursday 2007 July 19, Johannes Schindelin wrote:
> Hi,
>
> On Thu, 19 Jul 2007, Andy Parkins wrote:
> > On Thursday 2007 July 19, Johannes Schindelin wrote:
> > > On Thu, 19 Jul 2007, Andy Parkins wrote:
> > > > Would porcelain.editor be a better name for this variable?
> > >
> > > From my point of view you can put into "myWonderfulGit.editor".  It
> > > does not matter.
> >
> > By that argument, why do we bother with subsections at all.  In fact why
> > not call the variable "xhxhxjjjll.yqlaoospsp"?
>
> No.  I said, and I quote here, "From my point of view".

That doesn't change my point - these things are named to give meaning, they 
aren't just arbitrary strings of characters.

> And how would having "core.pager" but "porcelain.editor" be easier to
> remember?  Nah, not really.

If there is no difference, then do you object so strongly?

Besides, memory isn't just about having words, it's about meaning too.  
Categorisation and hierarchy are important.  If I'm searching my brain for a 
function that does something to strings then the fact that it starts 
with "str" gets me a long way there.  The fact that they _all_ start 
with "str" is what's important.

I don't care _that_ strongly; just like you it won't make any difference to me 
personally as I'll cope either way.  I'm trying to think like a noob, and it 
seems that coherency is broken when we make distinctions between porcelain 
and plumbing and then don't stick to them in the config file.

Perhaps I am wrong in my assumption: I have always thought of core.* options 
being those options which apply to plumbing - i.e. if I were a git-guru and 
did everything with plumbing I would still need those options.

Andy
-- 
Dr Andy Parkins, M Eng (hons), MIET
[email-masked]